# kjs Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KJS::Null Class Reference

Represents an primitive Null value. More...

`#include <value.h>`

Inheritance diagram for KJS::Null:

[legend]
Collaboration diagram for KJS::Null:

[legend]
List of all members.

## Static Public Member Functions

static Null | dynamicCast (const Value &v)

## Friends

class | NullImp

## Detailed Description

Represents an primitive Null value.

All instances of this class share the same implementation object, so == will always return true for any comparison between two Null objects.

Definition at line 296 of file value.h.

## Member Function Documentation

Null Null::dynamicCast | ( | const Value & | v | ) | `[static]`

Converts a Value into an Null.

If the value's type is not NullType, a null object will be returned (i.e. one with it's internal pointer set to 0). If you do not know for sure whether the value is of type NullType, you should check the isValid() methods afterwards before calling any methods on the returned value.

Returns:
  The value converted to a Null

Definition at line 302 of file value.cpp.

The documentation for this class was generated from the following files:

- value.h
- internal.h
- value.cpp

This file is part of the documentation for kjs Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:23:19 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003